# Copyright (c) 2021, InfluxFramework LLC
# License: MIT. See LICENSE

import json

import influxframework


def execute():
	"""Convert Query Report json to support other content"""
	records = influxframework.get_all("Report", filters={"json": ["!=", ""]}, fields=["name", "json"])
	for record in records:
		jstr = record["json"]
		data = json.loads(jstr)
		if isinstance(data, list):
			# double escape braces
			jstr = f'{{"columns":{jstr}}}'
			influxframework.db.update("Report", record["name"], "json", jstr)
